PARFIVE(1)

NAME
parfive - Python Asyncio Based Downloader

DESCRIPTION
usage: parfive [-h] [--max-conn MAX_CONN] [--max-splits MAX_SPLITS]

    [--directory DIRECTORY] [--overwrite] [--no-progress] [--no-file-progress] [--print-filenames] [--verbose] [--version] URLS [URLS ...]

Parfive: A parallel file downloader written in Python.

  positional arguments:

URLS
    URLs of files to be downloaded.

  options:

-h, --help
    show this help message and exit

--max-conn MAX_CONN
    Maximum number of parallel file downloads.

--max-splits MAX_SPLITS
    Maximum number of parallel connections per file (only used if supported by the server).

--directory DIRECTORY
    Directory to which downloaded files are saved.

--overwrite
    Overwrite if the file exists.

--no-progress
    Show progress indicators during download.

--no-file-progress
    Show progress bar for each file.

--print-filenames
    Print successfully downloaded files's names to stdout.

--verbose
    Log debugging output while transferring the files.

--version
    show program's version number and exit